---
updatedAt: 2025-06-09T23:19:53.000Z
agentTools:
  projectIndex: https://developers.acuityscheduling.com/llms.txt
---

# /availability/times

Return available times for a date and appointment type.

This endpoint returns an appointment type's available time slots for a particular date.  These times are the same as those shown to the client through the client scheduling page.

> 📘 Use [/availability/times](https://developers.acuityscheduling.com/docs/get-availability-times) together with [/availability/dates](https://developers.acuityscheduling.com/docs/get-availability-dates) to find available slots for [creating an appointment](https://developers.acuityscheduling.com/docs/post-appointments).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v1",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://acuityscheduling.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/availability/times": {
      "get": {
        "summary": "/availability/times",
        "description": "Return available times for a date and appointment type.",
        "operationId": "get-availability-times",
        "parameters": [
          {
            "name": "date",
            "in": "query",
            "description": "Date to check available times (must be parsable by strtotime http://php.net/manual/en/function.strtotime.php)",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "appointmentTypeID",
            "in": "query",
            "description": "Numeric id of the appointment type to check availability for.",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "calendarID",
            "in": "query",
            "description": "Numeric id of the calendar to check availability for.  By default, check availability for all calendars the appointment type is offered on.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "addonIDs[]",
            "in": "query",
            "description": "Addon IDs to use when calculating availability for this appointment type. Addons must be assoicated with the appointment type.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "timezone",
            "in": "query",
            "description": "Long timezone id for availability time converison (eg. America/New_York).",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ignoreAppointmentIDs[]",
            "in": "query",
            "description": "Appointment IDs to ignore, allowing slots overlapping the appointment and useful for rescheduling.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n  {\n    \"time\": \"2016-02-04T13:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T14:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T15:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T16:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T17:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T18:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T19:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T20:00:00-0800\"\n  },\n  {\n    \"time\": \"2016-02-04T21:00:00-0800\"\n  }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "time": {
                        "type": "string",
                        "example": "2016-02-04T13:00:00-0800"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": \"required_date\",\n  \"message\": \"The parameter \\\"date\\\" is required.\",\n  \"status_code\": 400\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "example": "required_date"
                    },
                    "message": {
                      "type": "string",
                      "example": "The parameter \"date\" is required."
                    },
                    "status_code": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "shell",
              "code": "curl -u ACUITY_USER_ID:ACUITY_API_KEY \"https://acuityscheduling.com/api/v1/availability/times?appointmentTypeID=123&calendarID=123&date=2016-02-04\""
            }
          ],
          "samples-languages": [
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```